  ServerEvents.recipes(event => {
    event.custom({
        "type": "industrialforegoing:dissolution_chamber",
        "input": [
        {"tag": "forge:plastic"},
        {"tag": "industrialforegoing:machine_frame/advanced"},
        {"tag": "forge:plastic"},
        {"item": "minecraft:netherite_ingot"},
        {"item": "minecraft:netherite_ingot"},
        {"tag": "forge:gems/diamond"},
        {"tag": "forge:gears/diamond"},
        {"tag": "forge:gems/diamond"}
        ],
        "inputFluid": "{Amount:1000,FluidName:\"industrialforegoing:latex\"}",
        "output": { item: "industrialforegoing:machine_frame_supreme" },
        "processingTime": 300
    })
    .id('industrialforegoing:dissolution_chamber/supreme_machine_frame')
})
  ServerEvents.recipes(event =>{
    event.shaped('thermal:copper_gear', [" b ", "b b", " b "], {
      b: "minecraft:copper_ingot"
    })
    .id('thermal:parts/copper_gear')
})
  ServerEvents.recipes(event => {
    event.custom({
        "type": "industrialforegoing:dissolution_chamber",
        "input": [
        {"tag": "forge:plastic"},
        {"item": "industrialforegoing:machine_frame_simple"},
        {"tag": "forge:plastic"},
        {"item": "minecraft:netherite_scrap"},
        {"item": "minecraft:netherite_scrap"},
        {"tag": "forge:ingots/gold"},
        {"tag": "forge:gears/diamond"},
        {"tag": "forge:ingots/gold"}
        ],
        "inputFluid": "{Amount:1000,FluidName:\"industrialforegoing:latex\"}",
        "output": { item: "industrialforegoing:machine_frame_advanced" },
        "processingTime": 300
    })
    .id('industrialforegoing:dissolution_chamber/advanced_machine_frame')
})
  ServerEvents.recipes(event => {
    event.custom({
        "type": "industrialforegoing:dissolution_chamber",
        "input": [
        {"tag": "forge:plastic"},
        {"item": "industrialforegoing:machine_frame_pity"},
        {"tag": "forge:plastic"},
        {"item": "minecraft:nether_brick"},
        {"item": "minecraft:nether_brick"},
        {"tag": "forge:ingots/iron"},
        {"tag": "forge:gears/gold"},
        {"tag": "forge:ingots/iron"}
        ],
        "inputFluid": "{Amount:1000,FluidName:\"industrialforegoing:latex\"}",
        "output": { item: "industrialforegoing:machine_frame_simple" },
        "processingTime": 300
    })
    .id('industrialforegoing:dissolution_chamber/simple_machine_frame')
})
  ServerEvents.recipes(event => {
    event.custom({
      "type": "industrialforegoing:fluid_extractor",
    "breakChance": 0.01,
    "defaultRecipe": false,
    "input": {
    "item": "minecraft:acacia_log" },
    "output": "{Amount:6,FluidName:\"industrialforegoing:latex\"}",
    "result": "minecraft:stripped_acacia_log"
    })
    .id('industrialforegoing:fluid_extractor/acacia')
})
  ServerEvents.recipes(event => {
    event.custom({
        "type": "industrialforegoing:dissolution_chamber",
        "input": [
        Item.of('industrialforegoing:range_addon11', '{TitaniumAugment:{Range:11.0f}}').strongNBT(),
        {"item": "industrialforegoing:machine_frame_supreme"},
        Item.of('industrialforegoing:range_addon11', '{TitaniumAugment:{Range:11.0f}}').strongNBT(),
        {"item": "minecraft:glass_pane"},
        {"item": "minecraft:glass_pane"},
        Item.of('industrialforegoing:speed_addon_2', '{TitaniumAugment:{Speed:3.0f}}').strongNBT(),
        {"tag": "forge:gears/netherite"},
        Item.of('industrialforegoing:speed_addon_2', '{TitaniumAugment:{Speed:3.0f}}').strongNBT(),
        ],
        "inputFluid": "{Amount:1000,FluidName:\"industrialforegoing:latex\"}",
        "output": { item: "kubejs:ultimate_addon" },
        "processingTime": 300
    })
    .id('industrialforegoing:dissolution_chamber/ultimate_addon')
})